import json
import setuptools

kwargs = json.loads("""
{
    "name": "aws-cdk.aws-stepfunctions-tasks",
    "version": "1.17.1",
    "description": "Task integrations for AWS StepFunctions",
    "license": "Apache-2.0",
    "url": "https://github.com/aws/aws-cdk",
    "long_description_content_type": "text/markdown",
    "author": "Amazon Web Services",
    "project_urls": {
        "Source": "https://github.com/aws/aws-cdk.git"
    },
    "package_dir": {
        "": "src"
    },
    "packages": [
        "aws_cdk.aws_stepfunctions_tasks",
        "aws_cdk.aws_stepfunctions_tasks._jsii"
    ],
    "package_data": {
        "aws_cdk.aws_stepfunctions_tasks._jsii": [
            "aws-stepfunctions-tasks@1.17.1.jsii.tgz"
        ],
        "aws_cdk.aws_stepfunctions_tasks": [
            "py.typed"
        ]
    },
    "python_requires": ">=3.6",
    "install_requires": [
        "jsii~=0.20.7",
        "publication>=0.0.3",
        "aws-cdk.assets~=1.17,>=1.17.1",
        "aws-cdk.aws-cloudwatch~=1.17,>=1.17.1",
        "aws-cdk.aws-ec2~=1.17,>=1.17.1",
        "aws-cdk.aws-ecr~=1.17,>=1.17.1",
        "aws-cdk.aws-ecr-assets~=1.17,>=1.17.1",
        "aws-cdk.aws-ecs~=1.17,>=1.17.1",
        "aws-cdk.aws-iam~=1.17,>=1.17.1",
        "aws-cdk.aws-kms~=1.17,>=1.17.1",
        "aws-cdk.aws-lambda~=1.17,>=1.17.1",
        "aws-cdk.aws-s3~=1.17,>=1.17.1",
        "aws-cdk.aws-sns~=1.17,>=1.17.1",
        "aws-cdk.aws-sqs~=1.17,>=1.17.1",
        "aws-cdk.aws-stepfunctions~=1.17,>=1.17.1",
        "aws-cdk.core~=1.17,>=1.17.1"
    ],
    "classifiers": [
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Development Status :: 4 - Beta",
        "License :: OSI Approved"
    ]
}
""")

with open('README.md') as fp:
    kwargs['long_description'] = fp.read()


setuptools.setup(**kwargs)
